import { json, tsv } from 'd3';
import { feature } from 'topojson';

// Load Multiple Data Files
let WorldData=[];
Promise.all([
  tsv('https://unpkg.com/world-atlas@1.1.4/world/50m.tsv'),
  json('https://unpkg.com/world-atlas@1.1.4/world/50m.json')
]).then(([tsvData,topoJSONdata]) => {
  
  // Extract countries from World Atlas file
  WorldData.push(
    feature(topoJSONdata,topoJSONdata.objects.countries)
  );

  // Create Country Name Lookup data
  WorldData.push(
    tsvData.reduce((a, d) => {
      a[d.iso_n3] = d.name;
      return a;
    }, {})
  );
});
  
export const getData = () => new Promise(resolve => {
  setTimeout(() => resolve(WorldData), 1000);
});